Debian 12 - Bookworm Live installer ISO for linuxcnc (x86_64)

More
24 Sep 2023 18:41 #281559 by dokwine
Thanks Rod. Just thru a copy up on a spare NUC for testing. Worked a charm.
The following user(s) said Thank You: tommylight, rodw

Please Log in or Create an account to join the conversation.

More
03 Oct 2023 22:47 #282223 by rodw
This is now final and the first post has been updated accordingly.
Most of the recent changes have just been around bringing the deployment of third party repositories to best ractice to reduce any attack window
A README.md file is deployed to all user's home folders that outline how to upgrade linuxcnc and install QTPYVCP, probe basic etc,  ethercat and a fork of the ethercat hal driver. Many thanks to Bjarne at iGH the owners of th eethercat master we use to clean up the hal driver for me for this project.

So hopefully Linuxcnc will adopt this proven .ISO when they finally release V 2.9 in a few days.

Don't ask me how many times I have installed linuxcnc in the last week or so!

The adventurous can clone my repository and build it themselves!
github.com/rodw-au/linuxcnc-live-build
The following user(s) said Thank You: tommylight, abdulasis12

Please Log in or Create an account to join the conversation.

More
04 Oct 2023 18:18 #282305 by anton610
Hello,

thanks for your work!

I cannot find the download link in the first post.

Many thanks!

BR Anton

Please Log in or Create an account to join the conversation.

More
04 Oct 2023 20:50 #282312 by rodw
Ooops. try this, 

drive.google.com/file/d/1s2Te9JtXxb8yB9r.../view?usp=drive_link

I will update the first post when i get a chance
The following user(s) said Thank You: abdulasis12

Please Log in or Create an account to join the conversation.

More
13 Oct 2023 16:29 #282905 by CNCGOOS
Hello all, i have worked toda for the first time with 2.9works well. only just i want to start te systrem again, i have gote an error there is somthing wrong with a Tool Parameter. i dont know of is du to 2.9 or somthing else.

i hpe this is the write tread for this question.

her e part of the report file 

Traceback (most recent call last):
  File "/usr/bin/gmoccapy", line 5768, in <module>
    app = gmoccapy(sys.argv)
          ^^^^^^^^^^^^^^^^^^
  File "/usr/bin/gmoccapy", line 276, in __init__
    self._get_pref_data()
  File "/usr/bin/gmoccapy", line 576, in _get_pref_data
    self.prefs = preferences.preferences(self.get_ini_info.get_preference_file_path())
                 ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3/dist-packages/gmoccapy/preferences.py", line 32, in __init__
    self.read(self.fn)
  File "/usr/lib/python3.11/configparser.py", line 713, in read
    self._read(fp, filename)
  File "/usr/lib/python3.11/configparser.py", line 1112, in _read
    raise DuplicateOptionError(sectname, optname,
configparser.DuplicateOptionError: While reading from '/home/joost/linuxcnc/configs/CNCGoos/CNCGoos.pref' [line 76]: option 'system_name_tool' in section 'DEFAULT' already exists
 (gmoccapy:62)

Please Log in or Create an account to join the conversation.

More
13 Oct 2023 21:23 #282942 by rodw
This seems to be a Gmoccappy fault and nothing to do with the installer.
Please raise a new thread in their section of the forum so they see it.
 
The following user(s) said Thank You: CNCGOOS

Please Log in or Create an account to join the conversation.

More
15 Oct 2023 11:39 - 15 Oct 2023 11:40 #283052 by Franklin
Last edit: 15 Oct 2023 11:40 by Franklin.

Please Log in or Create an account to join the conversation.

More
19 Oct 2023 13:49 #283298 by probotix
I am trying to run my own live-build on a bookworm install, but get this error:
Errors were encountered while processing:
 linux-image-6.1.0-13-rt-amd64
 linux-image-rt-amd64

Any ideas?

Please Log in or Create an account to join the conversation.

More
19 Oct 2023 17:07 #283307 by tommylight
Screenshot of the error?

Please Log in or Create an account to join the conversation.

More
19 Oct 2023 18:14 #283311 by robh
is this the error of something like this ...

in case someone else has the below error on a update/upgrade
update would always get stuck trying to installl the updated linux-image packages

debian 12 raspi-firmware: missing /boot/firmware, did you forget to mount it?
run-parts: /etc/initramfs/post-update.d//z50-raspi-firmware exited with return code 1
dpkg: error processing package initramfs-tools (--configure):
installed initramfs-tools package post-installation script subprocess returned error exit status 1

i had this, seems a very common bug unfixed still in debian

if you google this you will find many reff to this and help topics
i found running
sudo dpkg --purge raspi-firmware
sudo apt autoremove --purge raspi-firmware
sudo apt-get upgrade

fixed the error..

Please Log in or Create an account to join the conversation.

Time to create page: 0.183 seconds
Powered by Kunena Forum